/*-------------------------------------------------------------------------
 Copyright 2012 Olivier Berlanger

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 -------------------------------------------------------------------------*/
package net.sf.sfac.gui.profiles;


import net.sf.sfac.gui.editor.cmp.ComponentVisibilityEditor;
import net.sf.sfac.gui.profiles.ProfilesController.StoreAction;


/**
 * Editor used to set the visibility of other editors in the dialog shown to store a profile (called from ProfilesController).
 * 
 * @author Olivier Berlanger
 */
public class ProfileNameVisibilityEditor extends ComponentVisibilityEditor {


    @Override
    public void updateComponentVisibility() {
        boolean overrideExisting = (getModelValue() == StoreAction.OVERRIDE);
        setComponentVisible("existingProfileName", overrideExisting);
        setComponentVisible("newProfileName", !overrideExisting);
    }


}
